Subject: Re: [bug#74710] [PATCH] gnu: ipxe: Update to 24db39fb2983ca83ab5c6ee37cb57a4f7f6f94e6.

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 06 Dec 2024 13:05:39 -0800

On 2024-12-06, Vagrant Cascadian wrote:
> On 2024-12-06, Roman Scherer wrote:
>> * gnu/packages/bootloaders.scm (ipxe): Update to 24db39fb2983ca83ab5c6ee37cb57a4f7f6f94e6.
>
> This fails to build on aarch64-linux for me, with lots of "unrecognized
> command-line option" errors, such as:
...
> View build log at '/var/log/guix/drvs/s6/0h3s4h3rass2fq6sdkxgs9nf2nhbij-ipxe-1.21.1-3.24db39f.drv.gz'.
> guix build: error: build of `/gnu/store/s60h3s4h3rass2fq6sdkxgs9nf2nhbij-ipxe-1.21.1-3.24db39f.drv' failed
>
>
> Although I see the same build failures without the patch applied...

Ah, but it *does* fix building "ipxe-qemu"! So for that it would be nice
to apply the patch!

We should probably mark "ipxe" as x86_64-linux only; I think it is not
designed to build on other architectures.

That said, this does improve the situation for aarch64, triggering only
about 19 rebuilds... I have yet to finish testing how those rebuilds go,
but it is in progress.

live well,
  vagrant